Currently, when I'm converting architectural drawings into backgrounds for my use, one of the first things I do is select certain objects based on their layer and delete them en mass.
I'm using the QSelect dialog box at the moment, but that's really difficult. I would try writing a LISP or something, but I don't know of a command line version of the QS command to make it work.
Is there a way that I can select one object, and make it select all the other objects in the drawing that are on the same layer? The QS command is handy, but very tedious.
i have created viewports on the defpoints layer in paper space, but now i can't select them to modify. Is there a switch or variable that allows depoints objects to be selected?
I am working on a .dwg file in AutoCAD 2013 , and on one specific layer (defpoints), I am not able to select any of the objects. Initially, I thought that the layer may have been locked or frozen, but it is not. Additionally, I went ahead and locked then unlocked the layer as well as froze then thawed the layer, still not able to select any objects on the layer.
My next attempt to fix the problem was to run the command "AUDIT", and instructed to "Yes" fix any errors detected. The command seemed to execute correctly, however, it did not do anything. The objects on the layer still cannot be selected.
I am using the command Draw Order and would like to use the Quick Select so that I can select all objects on a specific layer. How do I use the Quick Select in conjuction with the Draw Order command?
Is it possible to select a few objects by "sliding a mouse", on layer panel? For example, you can hold down the mouse, slide to lock multiple objects. It's fast and easy!
But if I need to select, say, only red, blue, yellow stars... I need to click the ◎ icons to select each sublayer. when I have so many objects to be selected on layer panel.
I use CS6 on Mac. Is there any secret shortcut key to select objects on layer panel by "sliding a mouse"?
I accidentally turned something on in Autocad, and I want it to go away, I have no idea what it's called or how to get it gone. It's akin to the "select other" window in Inventor when you select at the intersection of several objects.
Right now, when i click one object and then another, the first object becomes deselected. Holding shift is the only way for me to select multiple lines right now (other than dragging of course) but that's not what I'm used to and it annoys me a lot. At first everything is fine but then after a while it does this without me changing any options at all.
A user is having problems when using the copy command in AutoCAD 2013.
When they select objects, its not reporting on the commandline how many objects its found or keeping a running total of objects selected. Not even any duplications...
I've tested it on my machine but i cannot replicate the issue and have never come across this before!
I know this discussion title is a bit murky, but the problem is a bit odd. I have Photoshop CS6 v13.1.2. In this version, I will activate the Select Tool, check Auto-Select: Layer, check Show Transform Controls, and then while using the Select Tool I will drag to create a rectangle to select multiple layers with content within the specified area.
Unfortunately, this action only works when I begin the selection from outside of the canvas area. If started from within the canvas area, no rectangle will appear, it will show me a measurement of my selection size, and then no layers will be selected upon release.
This cannot be working as intended right? I mean multi-select dragging cannot be intended to only work when started outside of the canvas right? Is there some way to fix this issue? Is this a bug? See the images below for more information on this issue.
I have several .dwg files that I use as templates. I run find and replace VBA routines on the template .dwg files, ie find $Flavor$ and replace it with "Grape", and then I save the .dwg to another directory with a new name.
These VBA routines work well for acdbText and acdbMText objects, but I have a bunch of AcdbAttributeDefinition objects in the .dwg templates as well.
After much research about the AutoCAD object model (I'm mostly a Microsoft Access VBA programmer), I have come to understand that these AcdbAttributeDefinition objects are actually "remnants" of a block that no longer exists in the drawing.
Anyway, I'd like to convert all of these orphaned AcdbAttributeDefinition objects to acdbText objects in the templates and then delete the AcdbAttributeDefinition objects. I have some code that does just that.
However, the issue that I am having with the code is that the newly created acdbText objects are not on the same layer that the original AcdbAttributeDefinition objects were on. I don't know the syntax to identify what layer the AcdbAttributeDefinition object is on or how to specify what layer on which the acdbText object is created.
how to keep the acdbText objects on the same layers as the original AcdbAttributeDefinition objects during the conversion and deletion process?
Here is the code I am using currently:
Sub AttConvert(dwg as string)Dim oDocument as AcadDocumentDim ent as AcadEntityDim aa as objectset oDocument = Documents.open(dwg) For Each ent In oDocument.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then' DO SOMETHING TO IDENTIFY WHAT LAYER THE ACDBATTRIBUTEDEFINITION OBJECT IS ON ' DO SOMETHING TO SPECIFY THAT THAT IS THE LAYER TO CREATE THE ACDBTEXT OBJECT ON Set aa = ThisDrawing.ModelSpace.AddText(ent.TagString, ent.InsertionPoint, ent.Height) End If Next ent For Each ent In ThisDrawing.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then ent.Delete End If Next ent End Sub
I have a bunch of objects on a particular layer, and they're all different colors and linetypes and lineweights, and i want them to all take on the color / linetype / lineweight that i chose for that layer.. how do i do this?
Say I have 2 items, one is on layer "M-Duct" and the other on "M-Pipe" (they are in the same drawing). Any lisp routine that would create the layers "M-Duct-New" and "M-Pipe-New" (based on the same color and LT as the original layers) and then move those objects to the newly created layers?
I'm trying to select all objects at a particular point, but using .SelectAtPoint appears to only return one entity, even though multiple lines are connected to the point.
Sub getSelection() Dim selection As AcadEntity Dim selPt As Variant ThisDrawing.Utility.GetEntity selection, selPt, "Select a segment..." Dim selStart As Variant selStart = selection.StartPoint Dim connSetStart As AcadSelectionSet Set connSetStart = ThisDrawing.SelectionSets.Add("ConnToStart") connSetStart.SelectAtPoint selStart Dim thing1 As Variant For Each thing1 In connSetStart Debug.Print "connSetStart: " & thing1.ObjectName Debug.Print "ID: " & thing1.ObjectID Next thing1 Debug.Print "#objs in startset: " & connSetStart.CountEnd Sub
I have a drawing with a bunch of stuff on different layers. I want to be able to see the stuff on those layers but not select them. I know I can lock the layers but if I use a left crossing window to select objects it still grabs the stuff on the locked layer.
I could make a copy of all of it, move it to layer 0, freeze all the layers except 0, defpts, and the layer I am working on, then move the stuff to defpts and lock layer 0 and when I am all done delete everything on defpts and thaw everything.
In general, we can select the objects first and then run a command. I have a problem with this, autocad wont let this in my PC. If i select objects and run a command, autocad wont take the selection and prompts to select objects. I work on PC in a company connected to server, but the problem is only on my PC.
Today i opened a psd file which 200 layers. Paint.net is very slow then (as all layers are flatten, pdn is missing hierarchical layers), but that is another problem.
I wanted to hide some background layers and "copy merged" a selection.
It took me 10mn to find all the backgrounds layers without this tool.
In photoshop the tool exist as a property of the "move selection" tool. Ie: you must first select the move selection tool, then select "layer" in the properties toolbar.
Any way to get that for v4 ? Will v4 be on github so we can clone and make patches ?
I can do one or another, but both at the same time? It is annoying because a mask selection turns into layer selection when you select a second layer/folder.
I've been having trouble selecting more than one object with the pointer. the program was just reloaded on the computer, but this problem has happened multiple times now. everything will work fine for a while, then suddenly, when trying to select objects during a command, i can only select one. (ex. trying to copy multiple lines, i can only select one to copy at a time).
I have a lot of polylines that are all over a drawing from an outside source. Unfortunately the only unique properties about them are:
AREA = .14 sq in PERIMETER = 1-11/32"
Everything is on the same layer, color by layer and are at the same elevation.
Any way to select just these closed polylnes? I tried quickselect but the AREA option did not work (it wouldn't except just the .14 value), and there is no apparent PERIMETER value to select.
I do not know what has changed but the select objects works differently now. For example, when 3 lines are drawn and the erase command is selected. I do a crossing window and the command line says 3 objects selected. But when I do it again and only select 2 lines, it says 2 objects selected and the 3rd line is then unselected. It used to say 2 objects selected and ignore but the total was 3.
PROBLEM: When I go to select the objects as as a SINGLE OBJECT, each object within the group is selectable -- as if they were not grouped.Shouldn't it be that when I select ANY of the objects within the group ALL OBJECTS in the group get selected, and not just each object?
Im practicing for my CAD certification test and im trying to select all objects inclosed in a poly line. Right now i have a bunch of random circles and a random figure drawn in the middle of a bunch of circles. How do i select ONLY the circles that are completely in the object?
P.S. I would add a picture but i don't know how to take a screenshot on windows xp.
First I click in my viewport and select a few objects (lines/blocks etc) then whenever I type Pan or hold down my center mouse button to Pan. The Command line says the Viewport is viewlocked switching to paper space.
Now by switching to paper space everything I selected has now unselected. This basically leaves me the option to select what I see on the screen at one time and can't pan along and select anything else which is unbelievably frustrating on large drawings.
How can I select a shape on a layer in PSD in the layers palette?
In my past version of PSD, I was able to simply click on the Layer and hold either select or control to have marching ants go around my image - but with CS2 I am not able to do that.